%global tar_version %(echo %{version} | sed "s/\\./_/g")

Summary:    Mako Templates for Python
Name:       python-mako
Version:    1.2.4
Release:    1%{?dist}
BuildArch:  noarch
License:    MIT and Python
URL:        http://www.makotemplates.org/
Source0:    https://github.com/sqlalchemy/mako/archive/rel_%{tar_version}.tar.gz

BuildRequires: python3-devel, python3-pytest, python3-setuptools, python3-markupsafe

%description
Mako is a template library written in Python. It provides a familiar, non-XML 
syntax which compiles into Python modules for maximum performance. Mako's 
syntax and API borrows from the best ideas of many others, including Django 
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded 
Python (i.e. Python Server Page) language, which refines the familiar ideas of 
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python 
calling and scoping semantics.

%package -n python3-mako
Summary: %{summary}
Recommends: python3-beaker

%description -n python3-mako
Mako is a template library written in Python. It provides a familiar, non-XML 
syntax which compiles into Python modules for maximum performance. Mako's 
syntax and API borrows from the best ideas of many others, including Django 
templates, Cheetah, Myghty, and Genshi. Conceptually, Mako is an embedded 
Python (i.e. Python Server Page) language, which refines the familiar ideas of 
componentized layout and inheritance to produce one of the most straightforward
and flexible models available, while also maintaining close ties to Python 
calling and scoping semantics.

This package provides the python3 module.



%prep
%autosetup -p1 -n mako-rel_%{tar_version}

sed -i '/tag_build = dev/d' setup.cfg



%build
%py3_build



%install
%py3_install

mv %{buildroot}/%{_bindir}/mako-render %{buildroot}/%{_bindir}/mako-render-%{python3_version}
ln -s ./mako-render-%{python3_version} %{buildroot}/%{_bindir}/mako-render-3
ln -s ./mako-render-%{python3_version} %{buildroot}/%{_bindir}/mako-render



%check
pytest-3



%files -n python3-mako
%license LICENSE
%doc CHANGES README.rst examples
%{_bindir}/mako-render
%{_bindir}/mako-render-3
%{_bindir}/mako-render-%{python3_version}
%{python3_sitelib}/mako/
%{python3_sitelib}/Mako-*.egg-info/



%changelog
* Mon Sep 25 2023 Wang Guodong <gordonwwang@tencent.com> - 1.2.4-1
- Upgrade to version 1.2.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Sep 08 2022 Zhao Zhen <jeremiazhao@tencent.com> - 1.2.2-1
- Initial building.
